package com.muyu.common.core.web.model;

import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.muyu.common.core.web.page.PageDomain;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor

@AllArgsConstructor
public class QueryModel<T> {
 private Integer pageNum;
 private Integer pageSize;
 private String orderByColumn;
 private boolean isAsc=true;
 private Boolean reasonable=true;
 public  T domainBuild(PageDomain pageDomain){
     this.pageNum=pageDomain.getPageNum();
     this.pageSize=pageDomain.getPageSize();
     this.orderByColumn=pageDomain.getOrderByColumn();
     this.isAsc= "asc".equals(pageDomain.getIsAsc());
     return (T) this;
 }

 public <I> Page<I> buildPage(){
     Page<I> page= Page.of(this.getPageNum(),this.getPageSize());
     page.setOrders(List.of(this.isAsc()? OrderItem.asc(this.getOrderByColumn()) :
             OrderItem.desc(this.getOrderByColumn())));
     return page;
 }
}
