package com.muyu.markteing.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@SuperBuilder
public class ActivityTeamInfoAddModel extends BaseEntity {
    /**
     * 商品Id
     */
    private Long productId;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 拼团活动名称
     */
    @NotNull(message = "不能为空")
    private String name;

    /**
     * 简介
     */
    @NotNull(message = "不能为空")
    private String introduction;

    /**
     * 商品单位
     */
    @NotNull(message = "不能为空")
    private String unit;

    /**
     *商品轮播图
     */
    private List<String> imageList;

    /**
     * 活动结束时间
     */
    private Date endTime;
;
    /**
     * 策略类型
     */
    private String strategyType;

    /**
     * 策略ID
     */
    private Long strategyId;

//    /**
//     * 商品规格
//     */
//    private List<ProjectSkuInfoAddReq> projectSkuInfoAddReqList;

    /**
     * 活动详情
     */
    private String content;

    /**
     * 活动排序
     */
    private Integer sort;

    public Long getProductId() {
        return productId;
    }

    public String getProductImage() {
        return productImage;
    }

    public String getName() {
        return name;
    }

    public String getIntroduction() {
        return introduction;
    }

    public String getUnit() {
        return unit;
    }

    public List<String> getImageList() {
        return imageList;
    }

    public Date getEndTime() {
        return endTime;
    }

    public String getStrategyType() {
        return strategyType;
    }

    public Long getStrategyId() {
        return strategyId;
    }

    public String getContent() {
        return content;
    }

    public Integer getSort() {
        return sort;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public void setProductImage(String productImage) {
        this.productImage = productImage;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setImageList(List<String> imageList) {
        this.imageList = imageList;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public void setStrategyType(String strategyType) {
        this.strategyType = strategyType;
    }

    public void setStrategyId(Long strategyId) {
        this.strategyId = strategyId;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
