package com.muyu.marketing.team.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.security.annotation.RequiresPermissions;

import com.muyu.marketing.team.service.ActivityTeamInfoService;
import com.muyu.markteing.domain.model.ActivityTeamInfoListQueryModel;
import com.muyu.markteing.domain.req.TeamInfoListReq;
import com.muyu.markteing.domain.resp.ActivityTeamInfoResp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
@Api(tags = "拼团活动")
@RestController
@RequestMapping("/team")
public class ActivityTeamInfoController {

    @Autowired(required=true)
    private ActivityTeamInfoService activityTeamInfoService;

    /**
     * 查询营销团购活动列表
     * @param teamInfoListReq
     * @return 活动响应对象
     */
    @PostMapping("/list")
//    @RequiresPermissions("marketing:team:list")
    @ApiOperation("获取属性组列表")
    public Result<TableDataInfo<ActivityTeamInfoResp>> list (@RequestBody TeamInfoListReq teamInfoListReq){
        TableDataInfo<ActivityTeamInfoListQueryModel> tableDataInfo = activityTeamInfoService.query(teamInfoListReq.buildQueryModel());
        List<ActivityTeamInfoResp> respList = tableDataInfo.getRows().stream().map(ActivityTeamInfoResp::listModelBuild).toList();

        return Result.success(
                new TableDataInfo<ActivityTeamInfoResp>(){{
                    setRows(respList);
                    setTotal(tableDataInfo.getTotal());
                }}
        );
    }



}
