package com.muyu.product.domain.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CategoryInfoUpdReq {

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类名称 */

    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /** 图片 */

    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /** 是否启用 */

    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /** 介绍 */

    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;

    /**
     * 商品属性组关联ID
     */
    private List<Long> attributeInfoList;
    /**
     * 商品属性关联ID
     */
    private List<Long> attributeGroupList;

    /**
     * 商品品牌组关联ID
     */
    private List<Long> brandInfoList;

}
